.boolInteract {
    background: #808080;
    width: fit-content;
    height: fit-content;
    padding: 1%;
    border: 4px solid #e3e3e3;
    border-radius: 3px;
    user-select: text;
    pointer-events: auto;
    z-index: 99;
    margin: 0;
    font-size: clamp(7px, 3vmin, 14px);
    margin-bottom: 1%;
}

.boolImage {
    pointer-events: auto;
    z-index: 99;
    transition: 0.25s ease;
    width: 40%;
    height: 40%;
    z-index: 9999;
    margin: 0;
    /*position: absolute;*/
    top: 0;
    right: 0;
    margin: 5px 5px 0px 0px;
}

.boolImage:hover {
    transform: scale(1.1);
}

.boolImageContainer {
    width: fit-content;
    height: fit-content;
}

.boolHeader {
    font-size: clamp(14px, 3vmin, 24px)
}

.settingsHeaderContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    padding-top: 0.5%;
    padding-bottom: 0.5%;
    height: fit-content;
    background-color: rgba(72, 133, 170, 0.31);
    margin-bottom: 2%;
    border-radius: 5px;
    overflow-x: auto;
    overflow-y: hidden;
}


.settingsHeader {
    background-color: rgb(43, 63, 76);
    height: 80%;
    width: fit-content;
    padding: 1%;
    margin: 1%;
    font-size: clamp(14px, 2vmin, 24px);
    user-select: none;
    border-radius: 5px;
    transition: 0.25s ease;
}

.settingsHeader:hover {
    background-color: rgb(67, 99, 120);
    cursor: pointer;
    transform: scale(1.1);
    text-decoration: underline;
}

.colorInput {
    width: 30%;
    aspect-ratio: 1/1;
    border: 2px solid rgb(255, 255, 255);
    border-radius: 2px;
    background-color: #808080;
    padding: 0;
    margin: 0;
    cursor: pointer;
}


.sliderInput {
    width: 40%;
    accent-color: rgb(255, 255, 255);
    background-color: #808080;
    height: fit-content;
    padding: 0;
    margin: 0;
    cursor: pointer;
}

.valueDisplay {
    font-size: clamp(12px, 2vmin, 18px);
    font-weight: 10;
}

.dropdownInput {
    font-size: clamp(12px, 2vmin, 18px);
    font-weight: 10;
}